import React from 'react';
import classnames from 'classnames'
import styles from '../../SchemeConfig.less'
import { Popconfirm, notification } from 'antd';
import {
    unbindSchemeBaseMap
} from '@/services/webConfig/api';
import {
    CloseOutlined
} from '@ant-design/icons';
const CardData = props => {
    const { deletebaseMaps = () => { } } = props;
    //删除瓦片
    const deletebaseMap = (item, baseMapItem) => {
        unbindSchemeBaseMap({ schemename: item.schemename, basemapName: baseMapItem }).then(res => {
            if (res.IsSuccess) {
                notification.success({
                    message: '提示',
                    duration: 3,
                    description: '底图删除成功',
                });
                deletebaseMaps()
            }
            else {
                notification.error({
                    message: '提示',
                    duration: 3,
                    description: '底图删除失败',
                });
            }

        })
    }

    return (
        <>
            <div className={styles.mapItem} >
                <div className={classnames({
                    [styles.defaultTile]: true,
                    [styles.activeTile]: props.baseindex == props.item.defaultBaseMap,
                })}>默认</div>
                <div className={styles.mapText}>{props.baseMapItem}</div>
                <div className={styles.mapIcon}>
                    <Popconfirm
                        title="是否删除该底图？"
                        okText="确认"
                        cancelText="取消"
                        onConfirm={() => {
                            deletebaseMap(props.item, props.baseMapItem);
                        }}
                    >
                        <CloseOutlined />
                    </Popconfirm>  </div>
            </div>
        </>
    )
}
export default CardData
